org.apache.mina.integration.beans

## Class MapEditor

- java.lang.Object
- - java.beans.PropertyEditorSupport
  - - org.apache.mina.integration.beans.AbstractPropertyEditor
    - - org.apache.mina.integration.beans.MapEditor

- All Implemented Interfaces:
    PropertyEditor
  Direct Known Subclasses:
    PropertiesEditor

      public class MapEditor
      extends AbstractPropertyEditor

  A `PropertyEditor` which converts a `String` into a `Collection` and vice versa.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapEditor(Class<?> keyType, Class<?> valueType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Map<Object,Object>` | `newMap()`
    `protected String` | `toText(Object value)`
    `protected Object` | `toValue(String text)`

    - ### Methods inherited from class org.apache.mina.integration.beans.AbstractPropertyEditor

      `defaultText, defaultValue, getAsText, getValue, setAsText, setTrimText, setValue`

    - ### Methods inherited from class java.beans.PropertyEditorSupport

      `addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, isPaintable, paintValue, removePropertyChangeListener, setSource, supportsCustomEditor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapEditor

          public MapEditor(Class<?> keyType,
                   Class<?> valueType)

  - ### Method Detail

    - #### toText

          protected final String toText(Object value)

      Specified by:
        `toText` in class `AbstractPropertyEditor`

    - #### toValue

          protected final Object toValue(String text)
                                  throws IllegalArgumentException

      Specified by:
        `toValue` in class `AbstractPropertyEditor`
      Throws:
        `IllegalArgumentException`

    - #### newMap

          protected Map<Object,Object> newMap()

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.